AccessibleIcon (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.accessibility
Interface AccessibleIcon

All Known Implementing Classes:
  ImageIcon.AccessibleImageIcon

public interface AccessibleIcon

The AccessibleIcon interface should be supported by any object that has an associated icon (e.g., buttons). This interface provides the standard mechanism for an assistive technology to get descriptive information about icons. Applications can determine if an object supports the AccessibleIcon interface by first obtaining its AccessibleContext (see `Accessible`) and then calling the `AccessibleContext.getAccessibleIcon()` method. If the return value is not null, the object supports this interface.

See Also:
  `Accessible`, `AccessibleContext`

Method Summary
`String` | `getAccessibleIconDescription()` Gets the description of the icon.
`int` | `getAccessibleIconHeight()` Gets the height of the icon
`int` | `getAccessibleIconWidth()` Gets the width of the icon
`void` | `setAccessibleIconDescription(String description)` Sets the description of the icon.

Method Detail

### getAccessibleIconDescription

    public String getAccessibleIconDescription()

  Gets the description of the icon. This is meant to be a brief textual description of the object. For example, it might be presented to a blind user to give an indication of the purpose of the icon.

  Returns:
    the description of the icon

### setAccessibleIconDescription

    public void setAccessibleIconDescription(String description)

  Sets the description of the icon. This is meant to be a brief textual description of the object. For example, it might be presented to a blind user to give an indication of the purpose of the icon.

  Parameters:
    `description` - the description of the icon

### getAccessibleIconWidth

    public int getAccessibleIconWidth()

  Gets the width of the icon

  Returns:
    the width of the icon.

### getAccessibleIconHeight

    public int getAccessibleIconHeight()

  Gets the height of the icon

  Returns:
    the height of the icon.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.